TagLib::Matroska::ChapterEdition Class Reference

Edition of chapters. More...

`#include <matroskachapteredition.h>`

## Public Types

using | UID = unsigned long long
| Unique identifier.

## Public Member Functions

| ChapterEdition (const List< Chapter > &chapterList, bool isDefault, bool isOrdered=false, UID uid=0)
| ChapterEdition (const ChapterEdition &other)
| ChapterEdition (ChapterEdition &&other) noexcept
| ~ChapterEdition ()
ChapterEdition & | operator= (const ChapterEdition &other)
ChapterEdition & | operator= (ChapterEdition &&other) noexcept
void | swap (ChapterEdition &other) noexcept
UID | uid () const
bool | isDefault () const
bool | isOrdered () const
const List< Chapter > & | chapterList () const

## Detailed Description

Edition of chapters.

## Member Typedef Documentation

## UID

using TagLib::Matroska::ChapterEdition::UID = unsigned long long

Unique identifier.

## Constructor & Destructor Documentation

## ChapterEdition() [1/3]

TagLib::Matroska::ChapterEdition::ChapterEdition | ( | const List< Chapter > & | chapterList,
|  | bool | isDefault,
|  | bool | isOrdered = false,
|  | UID | uid = 0 )

Construct an edition.

References chapterList(), isDefault(), isOrdered(), and uid().

Referenced by ChapterEdition(), ChapterEdition(), operator=(), operator=(), and swap().

## ChapterEdition() [2/3]

TagLib::Matroska::ChapterEdition::ChapterEdition | ( | const ChapterEdition & | other | ) |

Construct an edition as a copy of other.

References ChapterEdition().

## ChapterEdition() [3/3]

TagLib::Matroska::ChapterEdition::ChapterEdition | ( | ChapterEdition && | other | ) |

noexcept

Construct an edition moving from other.

References ChapterEdition().

## ~ChapterEdition()

TagLib::Matroska::ChapterEdition::~ChapterEdition | ( |  | ) |

Destroys this edition.

## Member Function Documentation

## chapterList()

const List< Chapter > & TagLib::Matroska::ChapterEdition::chapterList | ( |  | ) | const

Get the list of all chapters.

References TAGLIB_MSVC_SUPPRESS_WARNING_NEEDS_TO_HAVE_DLL_INTERFACE.

Referenced by ChapterEdition().

## isDefault()

bool TagLib::Matroska::ChapterEdition::isDefault | ( |  | ) | const

Check if this edition should be used as the default one.

Referenced by ChapterEdition().

## isOrdered()

bool TagLib::Matroska::ChapterEdition::isOrdered | ( |  | ) | const

Check if the chapters can be defined multiple times and the order to play them is enforced.

Referenced by ChapterEdition().

## operator=() [1/2]

ChapterEdition & TagLib::Matroska::ChapterEdition::operator= | ( | ChapterEdition && | other | ) |

noexcept

Moves the contents of other into this object.

References ChapterEdition().

## operator=() [2/2]

ChapterEdition & TagLib::Matroska::ChapterEdition::operator= | ( | const ChapterEdition & | other | ) |

Copies the contents of other into this object.

References ChapterEdition().

## swap()

void TagLib::Matroska::ChapterEdition::swap | ( | ChapterEdition & | other | ) |

noexcept

Exchanges the content of the object with the content of other.

References ChapterEdition().

## uid()

UID TagLib::Matroska::ChapterEdition::uid | ( |  | ) | const

Returns the UID of the edition.

Referenced by ChapterEdition().

The documentation for this class was generated from the following file:

- matroskachapteredition.h